Skip to end of metadata
Go to start of metadata

Problem:


I am writing a Python script to process API requests in Signavio Process Manager. I use the login example you provide in the documentation. My login requests fail. I receive the following messages:

  • [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond
  • [WinError 10061] No connection could be made because the target machine actively refused it. During handling of the above exception, another exception occurred


Solution:

There is an issue with the network connectivity while using python. It might be because of the network problem or mostly local setting issues, such as proxy settings or firewall. If you are using proxies, you can adjust you script to use them also:


url = <signavio_server>

proxySetting = {'https' : <host>:<port>}

req_login = requests.post(url+'/p/login',data= {'name':'<username>,'password':<password>,'tokenonly':True},proxies=proxySetting)